%mBPsBuilder.m

if ShowNs ==  1,if ShowGaps ==  1,  Bases   =   {'A' 'C' 'G' 'U' 'o' '-'};      end,end
if ShowNs ==  0,if ShowGaps ==  0,  Bases   =   {'A' 'C' 'G' 'U'};              end,end
if ShowNs ==  1,if ShowGaps ==  0,  Bases   =   {'A' 'C' 'G' 'U' 'o'};          end,end
if ShowNs ==  0,if ShowGaps ==  1,  Bases   =   {'A' 'C' 'G' 'U' '-'}; M(:,5,:)=13; M(5,:,:)=13; end,end %This overwrites some of the values from mIsostericity to correct for the fact that here, '-' (gaps) are the 5th and not 6th column.

BPs(length(Bases),length(Bases))={'  '};                                                %Optimized for Speed%
for i=1:length(Bases)
    for j=1:length(Bases)
        BPs(i,j)=strcat(Bases(i),Bases(j)); %This generates a basepair matrix in the form AA, AC, AG, AU, Ao, A-, then on the second line CA, CC, CG,...
    end
end
